package com.tzld.longarticle.recommend.server.repository;

import lombok.Data;

import javax.persistence.*;
import java.io.Serializable;

@Data
@Entity
@Table(name = "article_pre_distribute_account")
@IdClass(ArticlePreDistributeAccount.PK.class)
public class ArticlePreDistributeAccount implements Serializable {

    @Id
    private String ghId;
    // YYYY-mm-dd
    @Id
    private String date;

    @Column(name = "article_list", columnDefinition = "TEXT")
    private String articleList;


    @Data
    public static class PK implements Serializable {
        private String ghId;
        // YYYY-mm-dd
        private String date;

        public PK() {
        }


    }
}