package com.tzld.longarticle.recommend.server.service.score;

import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

@Getter
@Setter
@Accessors(chain = true)
public class ChangwenArticleDatastatDTO {
    private String articleId;
    private Integer increaseReadCount;
    private Integer readCount;
    private BigDecimal increaseIncome;
    private BigDecimal income;
    private Integer increaseShareCount;
    private Integer shareCount;
    private Long updateTimestamp;

    public Integer getIncreaseReadCount() {
        if (increaseReadCount == null) {
            return 0;
        }
        return increaseReadCount;
    }

    public Integer getReadCount() {
        if (readCount == null) {
            return 0;
        }
        return readCount;
    }

    public BigDecimal getIncreaseIncome() {
        if (increaseIncome == null) {
            return new BigDecimal(0);
        }
        return increaseIncome;
    }

    public BigDecimal getIncome() {
        if (income == null) {
            return new BigDecimal(0);
        }
        return income;
    }

    public Integer getIncreaseShareCount() {
        if (increaseShareCount == null) {
            return 0;
        }
        return increaseShareCount;
    }

    public Integer getShareCount() {
        if (shareCount == null) {
            return 0;
        }
        return shareCount;
    }
}
